---
title: My Tesla Model Y
slug: tesla
description: Details about my Tesla purchase
author: Rusty
date: 5-11-2021
post: blog
published: true
---

![squares of games](../images/tesla_purchase.png)

So I placed an order for a Model Y Long Range. The order was placed 5-5-2021 with an estimated delivery of 6-8 weeks. Real bummer
 its going to take so long but lets have fingers crossed that it is sooner rather than later. I read an article around the same time
  I made my purchase, that they have sold out of cars for Q2, which puts my estimated delivery the end of Q2...

I have been watching videos, reading reddit, forums, all kinds of things to prepare and learn about my new Tesla. I also have a 
plan in place to install an NEMA 14-50 plug in my garage. I have a co-worker with a electrical background so he knows his stuff and is going to help me install it.

** 5-9-2021 **

I have placed an order for the NEMA 14-15 plug adaptor as it does not come with the car. No news on the car just yet. I wanted to 
learn about the best about the best practices for charging and discharging the battery in electric vehicles. 
[This site](https://batteryuniversity.com/learn/article/how_to_prolong_lithium_based_batteries) has some 
useful info about studies on EVs and also some tweets that Elon Musk posted a while back confirms what Tesla recommends.

It’s recommended that you charge up to 90% and discharge to 10% to maintain the least amount of capacity loss in a battery over time. 
The chart below shows the least capacity loss would be 75%-65% but that’s not using the battery really, so in green it 
shows 85% - 25% which is closer to that 90/10. The take away for me here is that I should not charge to 100% all the time and discharge 
all the way back down to almost 0%. I should keep it close to 90% and close to 20% . This is how I plan on maintaining my Tesla so I will
report back one day how its working out for me.

![squares of games](../images/tesla_cycle_chart.jpg)

** 5-12-2021 **

I made a trip to lowes and got items that I will need for a 50 amp plug in my garage. I'm going to measure out the length of the wire I 
will need before buying, since that will be the most expensive item. My next steps is to have my buddy come over and help me scope out 
where i'm putting the plug and how far we will need to go from the breaker box.

I'm using [this guide](https://www.tesla.com/sites/default/files/pdfs/installation-guides/nema-14-50-installation-guide.pdf) by Tesla for installing my own NEMA 14-50 outlet. I don't want to pay for their $500.00 Tesla plug when the NEMA 14-50 
will charge almost the same.

![Lowes Items](../images/lowes_items.jpeg)

** 5-20-2021 **

My delivery date has changed to June 5 - June 25th. This is good news however I’m worried about reports of Teslas sitting in the factory parking lot 
in California waiting for a part, or some sort of firmware update. Still no VIN number yet on my account page, even when I try the source code look 
up. I read that if you view the source code of your account page and search for 5YJ (all VIN numbers have this) you can find your VIN before they 
officially give it to you. Sooner I get my VIN the more I can complete my purchase with insurance and all that.

![Wall Work](../images/wall_wire.jpeg)

** 6-7-2021 **

I now have a VIN number for my Tesla!!! My delivery date is now June 13th-19th so should get it sometime next week! I also got my NEMA 14-50 plug installed
thanks for my co-worker for helping with that.

![Wall Plug](../images/1450_plug.jpeg)

I bought some accessories already for my Model Y. I got some performance foot pedals; they seem easy to put on and so I thought why not.

![Pedals](../images/modely_pedals.jpg)

I also bought these lifting jack pads that will help align a jack to lift the car should I ever need to change a tire.

![Left Pads](../images/car_liftpads.jpg)

There are a few more accessory items I want to get but going to wait so I can get a feel for the car first. Next on the list is center console organizers,
a front window sunscreen thing, maybe a Space X sticker for the back window?

Here are the Amazon links for the pads and pedals:

* [Tesla Model Y Performance Pedals](https://www.amazon.com/gp/product/B07DFZMTN8/ref=ppx_yo_dt_b_asin_title_o00_s00?ie=UTF8&psc=1)
* [Lift Jack Pads](https://www.amazon.com/gp/product/B07QR19NM9/ref=ppx_yo_dt_b_asin_title_o00_s00?ie=UTF8&psc=1)

** 9-11-2021 **

I decided to Plasti Dip the wheel covers for my Model Y. I don't like the chrome color of the wheels/covers so a solid black
Plasti Dip should make them pretty sharp. I only used one and half cans of Plasti Dip, i'm not real sure if there needs to be 
more coatings or not. The picture below is with 1 and half coats on each wheel cover. I think this looks good and beats spending
$800 on either new black wheels or having the wheels powder coated.

![Plasti Dip Covers](../images/tesla_cover_dip.jpeg)

